Blame python-grpc-google-iam-v1.spec

5ddf29e
# 🚨 WARNING
5ddf29e
# DO NOT UPDATE PAST 0.12.3 WITHOUT TESTING
5ddf29e
# Fedora 35's versions of protobuf and grpc will not work with newer versions and
5ddf29e
# updating this package will break about 10-15 other Python Google Cloud SDK packages.
5ddf29e
# 🚨 WARNING
5ddf29e
30bf036
%global         srcname     grpc-google-iam-v1
30bf036
30bf036
Name:           python-%{srcname}
5ddf29e
Version:        0.12.3
a0d758a
Release:        %autorelease
30bf036
Summary:        GRPC library for the google-iam-v1 service
30bf036
30bf036
License:        ASL 2.0
30bf036
URL:            https://pypi.org/project/%{srcname}/
90981c5
Source0:        %{pypi_source %{srcname}}
30bf036
5ddf29e
# Epoch number added in F35 because the upgrade to 0.12.4 caused breakage for other
5ddf29e
# Google Cloud Python SDK packages.
5ddf29e
Epoch:          1
5ddf29e
30bf036
BuildArch:      noarch
30bf036
30bf036
BuildRequires:  python3-devel
30bf036
30bf036
30bf036
%global _description %{expand:
30bf036
The IDL-derived library for the google-iam (v1) service in Google Cloud.}
30bf036
30bf036
%description %{_description}
30bf036
30bf036
30bf036
%package -n python3-%{srcname}
30bf036
Summary:        %{summary}
30bf036
%description -n python3-%{srcname} %{_description}
30bf036
30bf036
30bf036
%prep
30bf036
%autosetup -n %{srcname}-%{version}
30bf036
30bf036
30bf036
%generate_buildrequires
a02ff01
%pyproject_buildrequires
30bf036
30bf036
30bf036
%build
30bf036
%pyproject_wheel
30bf036
30bf036
30bf036
%install
30bf036
%pyproject_install
30bf036
%pyproject_save_files google
30bf036
30bf036
0cf7b9d
%check
0cf7b9d
%pyproject_check_import
0cf7b9d
0cf7b9d
30bf036
%files -n python3-%{srcname} -f %{pyproject_files}
30bf036
%doc README.rst
30bf036
%{python3_sitelib}/grpc_google_iam_v1-%{version}-py%{python3_version}-nspkg.pth
30bf036
30bf036
30bf036
%changelog
a0d758a
%autochangelog